<?PHP
/*
Plugin Name: Collapse Page and Category Plugin
Plugin URI: http://www.BlogsEye.com/
Description: Uses Javascript to collapse children on Pages and Categories or any List that uses the css class 'children'
Version: 1.4
Author: Keith P. Graham
Author URI: http://www.BlogsEye.com/

This software is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

/************************************************************
* 	kpg_pagecollapse_fixup()
*	Shows the javascript in the footer so that the image events can be adjusted
*
*************************************************************/
function kpg_pagecollapse_fixup() {
	// this is the Page Collapse functionality.
	
?>

<script language="javascript" type="text/javascript">
	// <!--
	/* <![CDATA[ */
	// Collapse Page and Category Plugin
	function kpg_colpage_context(event) {
		var ev=event||window.event;
		var targ=ev.srcElement||ev.target;
		var nodes=targ.parentNode.childNodes;
		for (var i = 0; i < nodes.length; i++) {
			if (nodes[i].className=="children") {
				if (nodes[i].style.display=="none") {
					nodes[i].style.display="block";
					nodes[i].style.visibility="visible";
					if(ev.stopPropagation) {ev.stopPropagation();}
					ev.cancelBubble = true;
					targ.innerHTML='&#9651;&nbsp;'
					targ.id='ktriangledn';
					return false;
				} else {
					nodes[i].style.visibilty="hidden";
					nodes[i].style.display="none";
					if(ev.stopPropagation) {ev.stopPropagation();}
					ev.cancelBubble = true;
					targ.innerHTML='&#9661;&nbsp;'
					targ.id='ktriangleup';
					return false;
					
				}
			}
		}
		return false;
	}
	function kpg_colpage_action(event) {
	    var clicker='<a href="#" style="text-decoration:none;" onclick="return kpg_colpage_context(event);">&#9661;&nbsp;</a>';
		// right triangle is &#9657;
		// filed triangles are one less than open ones.
		try {
			var b=document.getElementsByTagName("UL"); // case sensitive XML
			for (var i=0;i<b.length;i++) {
				// make parent clickable and the child no display
				if (b[i].className=="children") {
					// search for parent li - check a few times incase the ul tags are heavily formatted
					var p=b[i].parentNode;
					b[i].style.visibilty="hidden";
					b[i].style.display="none";
					// set the p object with a character before with a click item attached to it.
					p.innerHTML=clicker+p.innerHTML;
				}
			}
		} catch (ee) {}
	}
	if (!document.all) {
		HTMLElement.prototype.click = function() {
			var evt = this.ownerDocument.createEvent('MouseEvents');
			evt.initMouseEvent('click', true, true, this.ownerDocument.defaultView, 1, 0, 0, 0, 0, false, false, false, false, 0, null);
			this.dispatchEvent(evt);
		} 
	}
	// set the onload event
	if (document.addEventListener) {
		document.addEventListener("DOMContentLoaded", function(event) { kpg_colpage_action(event); }, false);
	} else if (window.attachEvent) {
		window.attachEvent("onload", function(event) { kpg_colpage_action(event); });
	} else {
		var oldFunc = window.onload;
		window.onload = function() {
			if (oldFunc) {
				oldFunc();
			}
				kpg_colpage_action('load');
			};
	}
	// end of Collapse Page and Category Plugin
	/* ]]> */
	// -->
</script>

<?php
}
function kpg_pagecollapse_control()  {
// this is the display of information about the page.
	$bname=urlencode(get_bloginfo('name'));
	$burl=urlencode(get_bloginfo('url'));
	$bdesc=urlencode(get_bloginfo('description'));

?>

<div class="wrap">
<h2>Collapse Page and Category Plugin</h2>
<h4>The Collapse Page and Category Plugin is installed and working correctly.</h4>
<p>This plugin installs some javascript in the footer of every page. Javascript detects any list items with a class of 'children'. It hides the children in the tree and sets a click event that will expand or re-collapse them. The action uses only css and javascript and occurs after your page loads, so that search engines will see the whole tree before it is collapsed.</p>
<p>Wordpress uses the 'children' css class when it displays pages and categories in unordered lists, but you can put anything in an unordered list with a UL css class of 'children' and the javascript will collapse or expand it for you. </p>
<p>The javascript adds a triangle character to the front of the parent's of children which is the clickable item.</p>
<p>Note: The plugin will not work with themes and widgets that overwrite the default behavior of WordPress.</p>
<p>There are no configurations options. The plugin is on when it is installed and enabled. To turn it off just disable the plugin from the plugin menu.</p>
<p>People wanted to uncollapse and recollapse the menu. This is done now with a right click.</p>

<hr/>
<h3>If you like this plugin, why not try out these other interesting plugins.</h3>
<?php
// list of plugins
$p=array(
"facebook-open-graph-widget"=>"The easiest way to add a Facebook Like buttons to your blog' sidebar",
"threat-scan-plugin"=>"Check your blog for virus, trojans, malicious software and other threats",
"open-in-new-window-plugin"=>"Keep your surfers. Open all external links in a new window, automatically.",
"youtube-poster-plugin"=>"Automagically add YouTube videos as posts. All from inside the plugin. Painless, no heavy lifting.",
"permalink-finder"=>"Never get a 404 again. If you have restructured or moved your blog, this plugin will find the right post or page every time",
);
  $f=$_SERVER["REQUEST_URI"];
  // get the php out
  $ff=explode('page=',$f);
  $f=$ff[1];
  $ff=explode('/',$f);
  $f=$ff[0];
  foreach ($p as $key=>$data) {
	if ($f!=$key) { 
	$kk=urlencode($key);
		?><p>&bull;<span style="font-weight:bold;"> <?PHP echo $key ?>: </span> <a href="plugin-install.php?tab=plugin-information&plugin=<?PHP echo $kk ?>&TB_iframe=true&width=640&height=669">Install Plugin</a> - <span style="font-style:italic;font-weight:bold;"><?PHP echo $data ?></span></p><?PHP 
	}
  }
?>


<hr/>

  <hr/>
  <p>This plugin is free and I expect nothing in return. However, a link on your blog to one of my personal sites would be appreciated.</p>
  <p>Keith Graham</p>
  <p><a target="_blank" href="http://www.WestNyackHoney.com">West Nyack Honey</a> (I keep bees and sell the honey)<br />
   <a target="_blank" href="http://www.cthreepo.com/blog">Wandering Blog </a> (My personal Blog) <br />
    <a target="_blank"  href="http://www.cthreepo.com">Resources for Science Fiction</a> (Writing Science Fiction) <br />
    <a target="_blank"  href="http://www.jt30.com">The JT30 Page</a> (Amplified Blues Harmonica) <br />
    <a target="_blank"  href="http://www.harpamps.com">Harp Amps</a> (Vacuum Tube Amplifiers for Blues) <br />
    <a target="_blank"  href="http://www.blogseye.com">Blog&apos;s Eye</a> (PHP coding) <br />
    <a target="_blank"  href="http://www.cthreepo.com/bees">Bee Progress Beekeeping Blog</a> (My adventures as a new beekeeper) </p>
</div

>
<form method="post" action="options.php">
<?php settings_fields( 'myoption-group' ); ?>

</form>
<?php
}
// no unistall because I have not created any meta data to delete.
function kpg_pagecollapse_init() {
   add_options_page('Page Collapse', 'Page Collapse', 'manage_options',__FILE__,'kpg_pagecollapse_control');
}
  // Plugin added to Wordpress plugin architecture
	add_action('admin_menu', 'kpg_pagecollapse_init');	
	add_action( 'wp_footer', 'kpg_pagecollapse_fixup' );

	
?>